Package org.apache.datasketches.hive.quantiles

## Class GetQuantilesFromDoublesSketchUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.quantiles.GetQuantilesFromDoublesSketchUDF

    public class GetQuantilesFromDoublesSketchUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`GetQuantilesFromDoublesSketchUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, int number)` Returns a list of quantile values from a given sketch.
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, Boolean inclusive, int number)` Returns a list of quantile values from a given sketch
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, Boolean inclusive, Double... fractions)` Returns a list of quantile values from a given sketch
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, Double... fractions)` Returns a list of quantile values from a given sketch.

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetQuantilesFromDoublesSketchUDF

    public GetQuantilesFromDoublesSketchUDF()

### Method Detail

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 Double... fractions)

Returns a list of quantile values from a given sketch. Equivalent to calling GetQuantiles(sketch, true, fractions...)

Parameters:
  `serializedSketch` - serialized sketch
  `fractions` - list of values from 0 to 1 inclusive
Returns:
  list of quantile values

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 Boolean inclusive,
                                 Double... fractions)

Returns a list of quantile values from a given sketch

Parameters:
  `serializedSketch` - serialized sketch
  `inclusive` - if true, the given ranks are considered inclusive (include weight of an item)
  `fractions` - list of values from 0 to 1 inclusive
Returns:
  list of quantile values

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 int number)

Returns a list of quantile values from a given sketch. Equivalent to calling GetQuantiles(sketch, true, number)

Parameters:
  `serializedSketch` - serialized sketch
  `number` - of evenly spaced fractions
Returns:
  list of quantile values

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                                 Boolean inclusive,
                                 int number)

Returns a list of quantile values from a given sketch

Parameters:
  `serializedSketch` - serialized sketch
  `inclusive` - if true, the given ranks are considered inclusive (include weight of an item)
  `number` - of evenly spaced fractions
Returns:
  list of quantile values